Subject: Re: [PATCH] ethtool: avoiding integer overflow in ethtool_phys_id()

From: Jakub Kicinski <[email-masked]>
Date: Mon, 21 Nov 2022 12:12:58 -0800

On Mon, 21 Nov 2022 10:56:18 +0300 Maxim Korotkov wrote:
> Found by Linux Verification Center (linuxtesting.org) with SVACE.
> 
> Fixes: 2adc6edcaec0 ("ethtool: fix error handling in ethtool_phys_id")

I'm leaning towards dropping the fixes tag, and applying to -next.
Drivers returning high enough rc to cause an overflow seems theoretical, 
and is pretty harmless. Please LMK if I'm missing something.